be.fgov.ehealth.technicalconnector.ra.exceptions

## Class RaException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - be.ehealth.technicalconnector.exception.ConnectorException
      - - be.ehealth.technicalconnector.exception.TechnicalConnectorException
        - - be.fgov.ehealth.technicalconnector.ra.exceptions.RaException

- All Implemented Interfaces:
    Serializable

      public class RaException
      extends TechnicalConnectorException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RaException(String msg, Throwable cause, StatusResponseType statusResponseType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getErrorCodes()`
    `StatusResponseType` | `getStatusResponse()`

    - ### Methods inherited from class be.ehealth.technicalconnector.exception.TechnicalConnectorException

      `getCategory`

    - ### Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RaException

          public RaException(String msg,
                             Throwable cause,
                             StatusResponseType statusResponseType)

  - ### Method Detail

    - #### getStatusResponse

          public StatusResponseType getStatusResponse()

    - #### getErrorCodes

          public List<String> getErrorCodes()

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.